QXmppMamQueryIq Class Reference

The QXmppMamQueryIq class represents the query IQ for XEP-0313: Message Archive Management. More...

`#include <QXmppMamIq.h>`

Inheritance diagram for QXmppMamQueryIq:
[legend]
Collaboration diagram for QXmppMamQueryIq:
[legend]

## Public Member Functions

QXmppDataForm | form () const
| Returns the form that specifies the query.
void | setForm (const QXmppDataForm &form)
QXmppResultSetQuery | resultSetQuery () const
| Returns the result set query for result set management.
void | setResultSetQuery (const QXmppResultSetQuery &resultSetQuery)
QString | node () const
| Returns the node to query.
void | setNode (const QString &node)
QString | queryId () const
| Returns the queryid that will be included in the results.
void | setQueryId (const QString &id)
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
bool | isXmppStanza () const
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)

## Static Public Member Functions

static bool | isMamQueryIq (const QDomElement &element)

## Protected Member Functions

void | parseElementFromChild (const QDomElement &element)
void | toXmlElementFromChild (QXmlStreamWriter *writer) const

## Additional Inherited Members

Public Types inherited from QXmppIq
enum | Type { Error = 0, Get, Set, Result }
| This enum describes the type of IQ. More...

## Detailed Description

The QXmppMamQueryIq class represents the query IQ for XEP-0313: Message Archive Management.

## Member Function Documentation

## setForm()

void QXmppMamQueryIq::setForm | ( | const QXmppDataForm & | form | ) |

Sets the data form that specifies the query.

Parameters

  form | The data form.

## setNode()

void QXmppMamQueryIq::setNode | ( | const QString & | node | ) |

Sets the node to query.

Parameters

  node | The node to query.

## setQueryId()

void QXmppMamQueryIq::setQueryId | ( | const QString & | id | ) |

Sets the queryid that will be included in the results.

Parameters

  id | The query id.

## setResultSetQuery()

void QXmppMamQueryIq::setResultSetQuery | ( | const QXmppResultSetQuery & | resultSetQuery | ) |

Sets the result set query for result set management.

Parameters

  resultSetQuery | The result set query.

The documentation for this class was generated from the following files:

- QXmppMamIq.h
- QXmppMamIq.cpp